Package com.documentum.registry

# Class DfClientRegistryBaseInternal

java.lang.Object
com.documentum.registry.DfClientRegistryBase
com.documentum.registry.DfClientRegistryBaseInternal

All Implemented Interfaces:
  `IDfClientRegistry`, `IDfClientRegistryInternal`

Direct Known Subclasses:
  `DfClientRegistry`

public abstract class DfClientRegistryBaseInternal extends DfClientRegistryBase implements IDfClientRegistryInternal

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfClientRegistryBaseInternal()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.documentum.registry.IDfClientRegistry

  `addCheckedOutObject, addFileToBeDeleted, addLocalObject, addViewedObject, applyModifiedAttrs, getCheckedOutObjectById, getCheckedOutObjectByPath, getCheckedOutObjects, getCheckoutDirectory, getExportDirectory, getFilesToBeDeleted, getLocalObjectById, getLocalObjectByPath, getLocalObjects, getProgramDirectory, getRegistry, getUserDirectory, getViewedObjectById, getViewedObjectByPath, getViewedObjects, moveToCheckedOutFiles, moveToLocalFiles, removeCheckedOutObject, removeFileToBeDeleted, removeLocalObject, removeViewedObject, setCheckoutDirectory, setExportDirectory, setProgramDirectory, setUserDirectory`

  ### Methods inherited from interface com.documentum.registry.IDfClientRegistryInternal

  `addAppSupportDocument, addCheckedOutObject, addInlineDescendant, addLocalObject, addViewedObject, createAppSupportDocument, createCheckedOutObject, createInlineDescendantObject, createLocalObject, createViewedObject, getApplicationSupportDocuments, getAppSupportDocument, getCheckedOutObjectsByMasterId, getHouseKeepingObject, getInlineDescendant, getRegistry, isLocalItemProcessingRequired, loadRegistry, removeAppSupportDocument, removeInlineDescendant, saveRegistryUpdates`

- ## Constructor Details

  - ### DfClientRegistryBaseInternal

    public DfClientRegistryBaseInternal()